<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>POIOLE2TextExtractor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="POIOLE2TextExtractor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIOLE2TextExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/extractor/OLE2ExtractorFactory.html"
               title="class in org.apache.poi.extractor"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/extractor/POITextExtractor.html"
               title="class in org.apache.poi.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/extractor/POIOLE2TextExtractor.html" target="_top">Frames</a>
        </li>
        <li><a href="POIOLE2TextExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.extractor</div>
    <h2 title="Class POIOLE2TextExtractor" class="title">Class POIOLE2TextExtractor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../org/apache/poi/extractor/POITextExtractor.html"
                       title="class in org.apache.poi.extractor">org.apache.poi.extractor.POITextExtractor</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.extractor.POIOLE2TextExtractor</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable</dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html"
                           title="class in org.apache.poi.hssf.extractor">EventBasedExcelExtractor</a>, <a
                            href="../../../../org/apache/poi/hssf/extractor/ExcelExtractor.html"
                            title="class in org.apache.poi.hssf.extractor">ExcelExtractor</a>, <a
                            href="../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html"
                            title="class in org.apache.poi.hpsf.extractor">HPSFPropertiesExtractor</a>, <a
                            href="../../../../org/apache/poi/hsmf/extractor/OutlookTextExtactor.html"
                            title="class in org.apache.poi.hsmf.extractor">OutlookTextExtactor</a>, <a
                            href="../../../../org/apache/poi/hslf/extractor/PowerPointExtractor.html"
                            title="class in org.apache.poi.hslf.extractor">PowerPointExtractor</a>, <a
                            href="../../../../org/apache/poi/hpbf/extractor/PublisherTextExtractor.html"
                            title="class in org.apache.poi.hpbf.extractor">PublisherTextExtractor</a>, <a
                            href="../../../../org/apache/poi/hdgf/extractor/VisioTextExtractor.html"
                            title="class in org.apache.poi.hdgf.extractor">VisioTextExtractor</a>, <a
                            href="../../../../org/apache/poi/hwpf/extractor/Word6Extractor.html"
                            title="class in org.apache.poi.hwpf.extractor">Word6Extractor</a>, <a
                            href="../../../../org/apache/poi/hwpf/extractor/WordExtractor.html"
                            title="class in org.apache.poi.hwpf.extractor">WordExtractor</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">POIOLE2TextExtractor</span>
extends <a href="../../../../org/apache/poi/extractor/POITextExtractor.html" title="class in org.apache.poi.extractor">POITextExtractor</a></pre>
                <div class="block">Common Parent for OLE2 based Text Extractors
                    of POI Documents, such as .doc, .xls
                    You will typically find the implementation of
                    a given format's text extractor under
                    org.apache.poi.[format].extractor .
                </div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../org/apache/poi/hssf/extractor/ExcelExtractor.html"
                           title="class in org.apache.poi.hssf.extractor"><code>ExcelExtractor</code></a>,
                        <a href="../../../../org/apache/poi/hslf/extractor/PowerPointExtractor.html"
                           title="class in org.apache.poi.hslf.extractor"><code>PowerPointExtractor</code></a>,
                        <a href="../../../../org/apache/poi/hdgf/extractor/VisioTextExtractor.html"
                           title="class in org.apache.poi.hdgf.extractor"><code>VisioTextExtractor</code></a>,
                        <a href="../../../../org/apache/poi/hwpf/extractor/WordExtractor.html"
                           title="class in org.apache.poi.hwpf.extractor"><code>WordExtractor</code></a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../org/apache/poi/POIDocument.html"
                                        title="class in org.apache.poi">POIDocument</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#document">document</a></span></code>
                                    <div class="block">The POIDocument that's open</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#POIOLE2TextExtractor-org.apache.poi.POIDocument-">POIOLE2TextExtractor</a></span>(<a
                                        href="../../../../org/apache/poi/POIDocument.html"
                                        title="class in org.apache.poi">POIDocument</a>&nbsp;document)</code>
                                    <div class="block">Creates a new text extractor for the given document</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#POIOLE2TextExtractor-org.apache.poi.extractor.POIOLE2TextExtractor-">POIOLE2TextExtractor</a></span>(<a
                                        href="../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                        title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;otherExtractor)</code>
                                    <div class="block">Creates a new text extractor, using the same
                                        document as another text extractor.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hpsf/DocumentSummaryInformation.html"
                                        title="class in org.apache.poi.hpsf">DocumentSummaryInformation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getDocSummaryInformation--">getDocSummaryInformation</a></span>()</code>
                                    <div class="block">Returns the document information metadata for the document</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a href="../../../../org/apache/poi/POIDocument.html"
                                                              title="class in org.apache.poi">POIDocument</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getDocument--">getDocument</a></span>()</code>
                                    <div class="block">Return the underlying POIDocument</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></span>()</code>
                                    <div class="block">Returns an HPSF powered text extractor for the
                                        document properties metadata, such as title and author.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getRoot--">getRoot</a></span>()</code>
                                    <div class="block">Return the underlying DirectoryEntry of this document.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                        title="class in org.apache.poi.hpsf">SummaryInformation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getSummaryInformation--">getSummaryInformation</a></span>()</code>
                                    <div class="block">Returns the summary information metadata for the document.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.extractor.POITextExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.extractor.<a
                                        href="../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></h3>
                                <code><a
                                        href="../../../../org/apache/poi/extractor/POITextExtractor.html#close--">close</a>,
                                    <a href="../../../../org/apache/poi/extractor/POITextExtractor.html#getText--">getText</a>,
                                    <a href="../../../../org/apache/poi/extractor/POITextExtractor.html#setFilesystem-java.io.Closeable-">setFilesystem</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="document">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>document</h4>
                                <pre>protected&nbsp;<a href="../../../../org/apache/poi/POIDocument.html"
                                                       title="class in org.apache.poi">POIDocument</a> document</pre>
                                <div class="block">The POIDocument that's open</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="POIOLE2TextExtractor-org.apache.poi.POIDocument-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>POIOLE2TextExtractor</h4>
                                <pre>public&nbsp;POIOLE2TextExtractor(<a
                                        href="../../../../org/apache/poi/POIDocument.html"
                                        title="class in org.apache.poi">POIDocument</a>&nbsp;document)</pre>
                                <div class="block">Creates a new text extractor for the given document</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>document</code> - The POIDocument to use in this extractor.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="POIOLE2TextExtractor-org.apache.poi.extractor.POIOLE2TextExtractor-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>POIOLE2TextExtractor</h4>
                                <pre>protected&nbsp;POIOLE2TextExtractor(<a
                                        href="../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                        title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;otherExtractor)</pre>
                                <div class="block">Creates a new text extractor, using the same
                                    document as another text extractor. Normally
                                    only used by properties extractors.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>otherExtractor</code> - the extractor which document to be used</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getDocSummaryInformation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocSummaryInformation</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../org/apache/poi/hpsf/DocumentSummaryInformation.html"
                                        title="class in org.apache.poi.hpsf">DocumentSummaryInformation</a>&nbsp;getDocSummaryInformation()</pre>
                                <div class="block">Returns the document information metadata for the document</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The Document Summary Information or null
                                        if it could not be read for this document.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSummaryInformation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSummaryInformation</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                                    title="class in org.apache.poi.hpsf">SummaryInformation</a>&nbsp;getSummaryInformation()</pre>
                                <div class="block">Returns the summary information metadata for the document.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The Summary information for the document or null
                                        if it could not be read for this document.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMetadataTextExtractor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMetadataTextExtractor</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                    title="class in org.apache.poi.extractor">POITextExtractor</a>&nbsp;getMetadataTextExtractor()</pre>
                                <div class="block">Returns an HPSF powered text extractor for the
                                    document properties metadata, such as title and author.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/extractor/POITextExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                title="class in org.apache.poi.extractor">POITextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an instance of POIExtractor that can extract meta-data.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRoot--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRoot</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;getRoot()</pre>
                                <div class="block">Return the underlying DirectoryEntry of this document.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the DirectoryEntry that is associated with the POIDocument of this extractor.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getDocument</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/POIDocument.html"
                                                    title="class in org.apache.poi">POIDocument</a>&nbsp;getDocument()</pre>
                                <div class="block">Return the underlying POIDocument</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/extractor/POITextExtractor.html#getDocument--">getDocument</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                title="class in org.apache.poi.extractor">POITextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the underlying POIDocument</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIOLE2TextExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/extractor/OLE2ExtractorFactory.html"
               title="class in org.apache.poi.extractor"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/extractor/POITextExtractor.html"
               title="class in org.apache.poi.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/extractor/POIOLE2TextExtractor.html" target="_top">Frames</a>
        </li>
        <li><a href="POIOLE2TextExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
